// python wrapper for vtkEventQtSlotConnect
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkEventQtSlotConnect.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkEventQtSlotConnect(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkEventQtSlotConnect(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkEventQtSlotConnectNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkEventQtSlotConnectNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkObjectNew
extern "C" { PyObject *PyVTKClass_vtkObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkObjectNew
#endif

static const char **PyvtkEventQtSlotConnect_Doc();


static PyObject *
PyvtkEventQtSlotConnect_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEventQtSlotConnect *op = static_cast<vtkEventQtSlotConnect *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkEventQtSlotConnect::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEventQtSlotConnect_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEventQtSlotConnect *op = static_cast<vtkEventQtSlotConnect *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkEventQtSlotConnect::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEventQtSlotConnect_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEventQtSlotConnect *op = static_cast<vtkEventQtSlotConnect *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkEventQtSlotConnect *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkEventQtSlotConnect::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkEventQtSlotConnect_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkEventQtSlotConnect *tempr = vtkEventQtSlotConnect::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkEventQtSlotConnect_Connect(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Connect");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEventQtSlotConnect *op = static_cast<vtkEventQtSlotConnect *>(vp);

  vtkObject *temp0 = NULL;
  unsigned long temp1;
  QObject *temp2 = NULL;
  char *temp3 = NULL;
  void  *temp4 = NULL;
  float temp5 = 0.0;
  Qt::ConnectionType temp6 = Qt::AutoConnection;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(4, 7) &&
      ap.GetVTKObject(temp0, "vtkObject") &&
      ap.GetValue(temp1) &&
      ap.GetSIPObject(temp2, "QObject") &&
      ap.GetValue(temp3) &&
      (ap.NoArgsLeft() || ap.GetValue(temp4)) &&
      (ap.NoArgsLeft() || ap.GetValue(temp5)) &&
      (ap.NoArgsLeft() || ap.GetSIPEnumValue(temp6, "Qt::ConnectionType")))
    {
    if (ap.IsBound())
      {
      op->Connect(temp0, temp1, temp2, temp3, temp4, temp5, temp6);
      }
    else
      {
      op->vtkEventQtSlotConnect::Connect(temp0, temp1, temp2, temp3, temp4, temp5, temp6);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkEventQtSlotConnect_Disconnect(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Disconnect");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEventQtSlotConnect *op = static_cast<vtkEventQtSlotConnect *>(vp);

  vtkObject *temp0 = NULL;
  unsigned long temp1 = vtkCommand::NoEvent;
  QObject *temp2 = NULL;
  char *temp3 = 0;
  void  *temp4 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0, 5) &&
      (ap.NoArgsLeft() || ap.GetVTKObject(temp0, "vtkObject")) &&
      (ap.NoArgsLeft() || ap.GetValue(temp1)) &&
      (ap.NoArgsLeft() || ap.GetSIPObject(temp2, "QObject")) &&
      (ap.NoArgsLeft() || ap.GetValue(temp3)) &&
      (ap.NoArgsLeft() || ap.GetValue(temp4)))
    {
    if (ap.IsBound())
      {
      op->Disconnect(temp0, temp1, temp2, temp3, temp4);
      }
    else
      {
      op->vtkEventQtSlotConnect::Disconnect(temp0, temp1, temp2, temp3, temp4);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkEventQtSlotConnect_GetNumberOfConnections(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetNumberOfConnections");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkEventQtSlotConnect *op = static_cast<vtkEventQtSlotConnect *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetNumberOfConnections() :
      op->vtkEventQtSlotConnect::GetNumberOfConnections());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkEventQtSlotConnect_Methods[] = {
  {(char*)"GetClassName", PyvtkEventQtSlotConnect_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkEventQtSlotConnect_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkEventQtSlotConnect_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkEventQtSlotConnect\nC++: vtkEventQtSlotConnect *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkEventQtSlotConnect_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkEventQtSlotConnect\nC++: vtkEventQtSlotConnect *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"Connect", PyvtkEventQtSlotConnect_Connect, 1,
   (char*)"V.Connect(vtkObject, int, QObject, string, , float,\n    Qt::ConnectionType)\nC++: virtual void Connect(vtkObject *vtk_obj, unsigned long event,\n     const QObject *qt_obj, const char *slot,\n    void *client_data=NULL, float priority=0.0,\n    Qt::ConnectionType type=Qt::AutoConnection)\n\nConnect a vtk object's event with a Qt object's slot.  Multiple\nconnections which are identical are treated as separate\nconnections.\n"},
  {(char*)"Disconnect", PyvtkEventQtSlotConnect_Disconnect, 1,
   (char*)"V.Disconnect(vtkObject, int, QObject, string, )\nC++: virtual void Disconnect(vtkObject *vtk_obj=NULL,\n    unsigned long event=vtkCommand::NoEvent,\n    const QObject *qt_obj=NULL, const char *slot=0,\n    void *client_data=NULL)\n\nDisconnect a vtk object from a qt object. Passing no arguments\nwill disconnect all slots maintained by this object. Passing in\nonly a vtk object will disconnect all slots from it. Passing only\na vtk object and event, will disconnect all slots matching the\nvtk object and event. Passing all information in will match all\ninformation.\n"},
  {(char*)"GetNumberOfConnections", PyvtkEventQtSlotConnect_GetNumberOfConnections, 1,
   (char*)"V.GetNumberOfConnections() -> int\nC++: virtual int GetNumberOfConnections()\n\nAllow to query vtkEventQtSlotConnect to know if some Connect()\nhave been setup and how many.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkEventQtSlotConnect_StaticNew()
{
  return vtkEventQtSlotConnect::New();
}

PyObject *PyVTKClass_vtkEventQtSlotConnectNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkEventQtSlotConnect_StaticNew,
    PyvtkEventQtSlotConnect_Methods,
    "vtkEventQtSlotConnect", modulename,
    NULL, NULL,
    PyvtkEventQtSlotConnect_Doc(),
    PyVTKClass_vtkObjectNew(modulename));
  return cls;
}

const char **PyvtkEventQtSlotConnect_Doc()
{
  static const char *docstring[] = {
    "vtkEventQtSlotConnect - Manage connections between VTK events and Qt\nslots.\n\n",
    "Superclass: vtkObject\n\n",
    "vtkEventQtSlotConnect provides a way to manage connections between\nVTK events and Qt slots. Qt slots to connect with must have one of\nthe following signatures:\n- MySlot()\n- MySlot(vtkObject* caller)\n- MySlot(vtkObject* caller, unsigned long vtk_event)\n- MySlot(vtkObject* caller, unsigned long vtk_event, void*\n  client_data)\n- MySlot(vtkObject* caller, unsigned long vtk_event, void*\n  client_data, ",
    "void* call_data)\n- MySlot(vtkObject* caller, unsigned long vtk_event, void*\n  client_data, void* call_data, vtkCommand*)\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkEventQtSlotConnect(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkEventQtSlotConnectNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkEventQtSlotConnect", o) != 0)
    {
    Py_DECREF(o);
    }

  Py_INCREF(Py_None);
  o = Py_None;
  if (o && PyDict_SetItemString(dict, (char *)"VTK_EVENT_QT_SLOT_CONNECT", o) != 0)
    {
    Py_DECREF(o);
    }

}

