// python wrapper for vtkQtAnnotationView
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkQtAnnotationView.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkQtAnnotationView(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkQtAnnotationView(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkQtAnnotationViewNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkQtAnnotationViewNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkQtViewNew
extern "C" { PyObject *PyVTKClass_vtkQtViewNew(const char *); }
#define DECLARED_PyVTKClass_vtkQtViewNew
#endif

static const char **PyvtkQtAnnotationView_Doc();


static PyObject *
PyvtkQtAnnotationView_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtAnnotationView *op = static_cast<vtkQtAnnotationView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkQtAnnotationView::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtAnnotationView_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtAnnotationView *op = static_cast<vtkQtAnnotationView *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkQtAnnotationView::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtAnnotationView_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtAnnotationView *op = static_cast<vtkQtAnnotationView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkQtAnnotationView *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkQtAnnotationView::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkQtAnnotationView_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkQtAnnotationView *tempr = vtkQtAnnotationView::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtAnnotationView_GetWidget(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetWidget");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtAnnotationView *op = static_cast<vtkQtAnnotationView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    QWidget *tempr = (ap.IsBound() ?
      op->GetWidget() :
      op->vtkQtAnnotationView::GetWidget());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildSIPObject(tempr, "QWidget", false);
      }
    }

  return result;
}


static PyObject *
PyvtkQtAnnotationView_Update(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Update");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtAnnotationView *op = static_cast<vtkQtAnnotationView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Update();
      }
    else
      {
      op->vtkQtAnnotationView::Update();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkQtAnnotationView_Methods[] = {
  {(char*)"GetClassName", PyvtkQtAnnotationView_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkQtAnnotationView_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkQtAnnotationView_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkQtAnnotationView\nC++: vtkQtAnnotationView *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkQtAnnotationView_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkQtAnnotationView\nC++: vtkQtAnnotationView *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetWidget", PyvtkQtAnnotationView_GetWidget, 1,
   (char*)"V.GetWidget() -> QWidget\nC++: virtual QWidget *GetWidget()\n\nGet the main container of this view (a  QWidget). The application\ntypically places the view with a call to GetWidget(): something\nlike this\nthis->ui->box->layout()->addWidget(this->View->GetWidget());\n"},
  {(char*)"Update", PyvtkQtAnnotationView_Update, 1,
   (char*)"V.Update()\nC++: virtual void Update()\n\nUpdates the view.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkQtAnnotationView_StaticNew()
{
  return vtkQtAnnotationView::New();
}

PyObject *PyVTKClass_vtkQtAnnotationViewNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkQtAnnotationView_StaticNew,
    PyvtkQtAnnotationView_Methods,
    "vtkQtAnnotationView", modulename,
    NULL, NULL,
    PyvtkQtAnnotationView_Doc(),
    PyVTKClass_vtkQtViewNew(modulename));
  return cls;
}

const char **PyvtkQtAnnotationView_Doc()
{
  static const char *docstring[] = {
    "vtkQtAnnotationView - A VTK view that displays the annotations\n\n",
    "Superclass: vtkQtView\n\n",
    "vtkQtAnnotationView is a VTK view using an underlying QTableView.\n\nThanks:\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkQtAnnotationView(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkQtAnnotationViewNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkQtAnnotationView", o) != 0)
    {
    Py_DECREF(o);
    }

}

