// python wrapper for vtkQtListView
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkQtListView.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkQtListView(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkQtListView(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkQtListViewNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkQtListViewNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkQtViewNew
extern "C" { PyObject *PyVTKClass_vtkQtViewNew(const char *); }
#define DECLARED_PyVTKClass_vtkQtViewNew
#endif

static const char **PyvtkQtListView_Doc();


static PyObject *
PyvtkQtListView_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtListView *op = static_cast<vtkQtListView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkQtListView::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtListView_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtListView *op = static_cast<vtkQtListView *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkQtListView::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtListView_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtListView *op = static_cast<vtkQtListView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkQtListView *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkQtListView::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkQtListView_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkQtListView *tempr = vtkQtListView::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtListView_GetWidget(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetWidget");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtListView *op = static_cast<vtkQtListView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    QWidget *tempr = (ap.IsBound() ?
      op->GetWidget() :
      op->vtkQtListView::GetWidget());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildSIPObject(tempr, "QWidget", false);
      }
    }

  return result;
}


static PyObject *
PyvtkQtListView_GetFieldType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFieldType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtListView *op = static_cast<vtkQtListView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetFieldType() :
      op->vtkQtListView::GetFieldType());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtListView_SetFieldType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFieldType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtListView *op = static_cast<vtkQtListView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFieldType(temp0);
      }
    else
      {
      op->vtkQtListView::SetFieldType(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtListView_SetEnableDragDrop(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetEnableDragDrop");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtListView *op = static_cast<vtkQtListView *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetEnableDragDrop(temp0);
      }
    else
      {
      op->vtkQtListView::SetEnableDragDrop(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtListView_SetAlternatingRowColors(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetAlternatingRowColors");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtListView *op = static_cast<vtkQtListView *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetAlternatingRowColors(temp0);
      }
    else
      {
      op->vtkQtListView::SetAlternatingRowColors(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtListView_SetDecorationStrategy(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetDecorationStrategy");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtListView *op = static_cast<vtkQtListView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetDecorationStrategy(temp0);
      }
    else
      {
      op->vtkQtListView::SetDecorationStrategy(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtListView_SetColorArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColorArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtListView *op = static_cast<vtkQtListView *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetColorArrayName(temp0);
      }
    else
      {
      op->vtkQtListView::SetColorArrayName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtListView_GetColorArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetColorArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtListView *op = static_cast<vtkQtListView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetColorArrayName() :
      op->vtkQtListView::GetColorArrayName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtListView_SetColorByArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColorByArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtListView *op = static_cast<vtkQtListView *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetColorByArray(temp0);
      }
    else
      {
      op->vtkQtListView::SetColorByArray(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtListView_GetColorByArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetColorByArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtListView *op = static_cast<vtkQtListView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->GetColorByArray() :
      op->vtkQtListView::GetColorByArray());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtListView_ColorByArrayOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ColorByArrayOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtListView *op = static_cast<vtkQtListView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ColorByArrayOn();
      }
    else
      {
      op->vtkQtListView::ColorByArrayOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtListView_ColorByArrayOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ColorByArrayOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtListView *op = static_cast<vtkQtListView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ColorByArrayOff();
      }
    else
      {
      op->vtkQtListView::ColorByArrayOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtListView_SetVisibleColumn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetVisibleColumn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtListView *op = static_cast<vtkQtListView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetVisibleColumn(temp0);
      }
    else
      {
      op->vtkQtListView::SetVisibleColumn(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtListView_SetFilterRegExp(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFilterRegExp");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtListView *op = static_cast<vtkQtListView *>(vp);

  QRegExp *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetSIPObject(temp0, "QRegExp"))
    {
    if (ap.IsBound())
      {
      op->SetFilterRegExp(*temp0);
      }
    else
      {
      op->vtkQtListView::SetFilterRegExp(*temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtListView_SetIconSheet(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetIconSheet");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtListView *op = static_cast<vtkQtListView *>(vp);

  QImage *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetSIPObject(temp0, "QImage"))
    {
    if (ap.IsBound())
      {
      op->SetIconSheet(*temp0);
      }
    else
      {
      op->vtkQtListView::SetIconSheet(*temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtListView_SetIconSize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetIconSize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtListView *op = static_cast<vtkQtListView *>(vp);

  int temp0;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetIconSize(temp0, temp1);
      }
    else
      {
      op->vtkQtListView::SetIconSize(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtListView_SetIconSheetSize(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetIconSheetSize");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtListView *op = static_cast<vtkQtListView *>(vp);

  int temp0;
  int temp1;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetValue(temp0) &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetIconSheetSize(temp0, temp1);
      }
    else
      {
      op->vtkQtListView::SetIconSheetSize(temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtListView_SetIconArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetIconArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtListView *op = static_cast<vtkQtListView *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetIconArrayName(temp0);
      }
    else
      {
      op->vtkQtListView::SetIconArrayName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtListView_ApplyViewTheme(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ApplyViewTheme");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtListView *op = static_cast<vtkQtListView *>(vp);

  vtkViewTheme *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkViewTheme"))
    {
    if (ap.IsBound())
      {
      op->ApplyViewTheme(temp0);
      }
    else
      {
      op->vtkQtListView::ApplyViewTheme(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtListView_Update(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Update");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtListView *op = static_cast<vtkQtListView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Update();
      }
    else
      {
      op->vtkQtListView::Update();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkQtListView_Methods[] = {
  {(char*)"GetClassName", PyvtkQtListView_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkQtListView_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkQtListView_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkQtListView\nC++: vtkQtListView *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkQtListView_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkQtListView\nC++: vtkQtListView *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetWidget", PyvtkQtListView_GetWidget, 1,
   (char*)"V.GetWidget() -> QWidget\nC++: virtual QWidget *GetWidget()\n\nGet the main container of this view (a  QWidget). The application\ntypically places the view with a call to GetWidget(): something\nlike this\nthis->ui->box->layout()->addWidget(this->View->GetWidget());\n"},
  {(char*)"GetFieldType", PyvtkQtListView_GetFieldType, 1,
   (char*)"V.GetFieldType() -> int\nC++: int GetFieldType()\n\nThe field type to copy into the output table. Should be one of\nFIELD_DATA, POINT_DATA, CELL_DATA, VERTEX_DATA, EDGE_DATA.\n"},
  {(char*)"SetFieldType", PyvtkQtListView_SetFieldType, 1,
   (char*)"V.SetFieldType(int)\nC++: void SetFieldType(int)\n\nThe field type to copy into the output table. Should be one of\nFIELD_DATA, POINT_DATA, CELL_DATA, VERTEX_DATA, EDGE_DATA.\n"},
  {(char*)"SetEnableDragDrop", PyvtkQtListView_SetEnableDragDrop, 1,
   (char*)"V.SetEnableDragDrop(bool)\nC++: void SetEnableDragDrop(bool)\n\nEnable drag and drop on this widget\n"},
  {(char*)"SetAlternatingRowColors", PyvtkQtListView_SetAlternatingRowColors, 1,
   (char*)"V.SetAlternatingRowColors(bool)\nC++: void SetAlternatingRowColors(bool)\n\nHave the view alternate its row colors\n"},
  {(char*)"SetDecorationStrategy", PyvtkQtListView_SetDecorationStrategy, 1,
   (char*)"V.SetDecorationStrategy(int)\nC++: void SetDecorationStrategy(int)\n\nThe strategy for how to decorate rows. Should be one of\nvtkQtTableModelAdapter::COLORS, vtkQtTableModelAdapter::ICONS, or\nvtkQtTableModelAdapter::NONE. Default is NONE.\n"},
  {(char*)"SetColorArrayName", PyvtkQtListView_SetColorArrayName, 1,
   (char*)"V.SetColorArrayName(string)\nC++: void SetColorArrayName(const char *name)\n\nThe array to use for coloring items in view.  Default is \"color\".\n"},
  {(char*)"GetColorArrayName", PyvtkQtListView_GetColorArrayName, 1,
   (char*)"V.GetColorArrayName() -> string\nC++: const char *GetColorArrayName()\n\nThe array to use for coloring items in view.  Default is \"color\".\n"},
  {(char*)"SetColorByArray", PyvtkQtListView_SetColorByArray, 1,
   (char*)"V.SetColorByArray(bool)\nC++: void SetColorByArray(bool vis)\n\nWhether to color vertices.  Default is off.\n"},
  {(char*)"GetColorByArray", PyvtkQtListView_GetColorByArray, 1,
   (char*)"V.GetColorByArray() -> bool\nC++: bool GetColorByArray()\n\nWhether to color vertices.  Default is off.\n"},
  {(char*)"ColorByArrayOn", PyvtkQtListView_ColorByArrayOn, 1,
   (char*)"V.ColorByArrayOn()\nC++: void ColorByArrayOn()\n\nWhether to color vertices.  Default is off.\n"},
  {(char*)"ColorByArrayOff", PyvtkQtListView_ColorByArrayOff, 1,
   (char*)"V.ColorByArrayOff()\nC++: void ColorByArrayOff()\n\nWhether to color vertices.  Default is off.\n"},
  {(char*)"SetVisibleColumn", PyvtkQtListView_SetVisibleColumn, 1,
   (char*)"V.SetVisibleColumn(int)\nC++: void SetVisibleColumn(int col)\n\nThe column to display\n"},
  {(char*)"SetFilterRegExp", PyvtkQtListView_SetFilterRegExp, 1,
   (char*)"V.SetFilterRegExp(QRegExp)\nC++: void SetFilterRegExp(const QRegExp &pattern)\n\nThe column used to filter on\n"},
  {(char*)"SetIconSheet", PyvtkQtListView_SetIconSheet, 1,
   (char*)"V.SetIconSheet(QImage)\nC++: void SetIconSheet(QImage sheet)\n\nSet the icon ivars. Only used if the decoration strategy is set\nto ICONS.\n"},
  {(char*)"SetIconSize", PyvtkQtListView_SetIconSize, 1,
   (char*)"V.SetIconSize(int, int)\nC++: void SetIconSize(int w, int h)\n\nSet the icon ivars. Only used if the decoration strategy is set\nto ICONS.\n"},
  {(char*)"SetIconSheetSize", PyvtkQtListView_SetIconSheetSize, 1,
   (char*)"V.SetIconSheetSize(int, int)\nC++: void SetIconSheetSize(int w, int h)\n\nSet the icon ivars. Only used if the decoration strategy is set\nto ICONS.\n"},
  {(char*)"SetIconArrayName", PyvtkQtListView_SetIconArrayName, 1,
   (char*)"V.SetIconArrayName(string)\nC++: void SetIconArrayName(const char *name)\n\nSet the icon ivars. Only used if the decoration strategy is set\nto ICONS.\n"},
  {(char*)"ApplyViewTheme", PyvtkQtListView_ApplyViewTheme, 1,
   (char*)"V.ApplyViewTheme(vtkViewTheme)\nC++: virtual void ApplyViewTheme(vtkViewTheme *theme)\n\n"},
  {(char*)"Update", PyvtkQtListView_Update, 1,
   (char*)"V.Update()\nC++: virtual void Update()\n\nUpdates the view.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkQtListView_StaticNew()
{
  return vtkQtListView::New();
}

PyObject *PyVTKClass_vtkQtListViewNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkQtListView_StaticNew,
    PyvtkQtListView_Methods,
    "vtkQtListView", modulename,
    NULL, NULL,
    PyvtkQtListView_Doc(),
    PyVTKClass_vtkQtViewNew(modulename));

  if (cls)
    {
    PyObject *d = PyVTKClass_GetDict(cls);
    PyObject *o;

    o = PyInt_FromLong(0);
    if (o && PyDict_SetItemString(d, (char *)"FIELD_DATA", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(1);
    if (o && PyDict_SetItemString(d, (char *)"POINT_DATA", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(2);
    if (o && PyDict_SetItemString(d, (char *)"CELL_DATA", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(3);
    if (o && PyDict_SetItemString(d, (char *)"VERTEX_DATA", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(4);
    if (o && PyDict_SetItemString(d, (char *)"EDGE_DATA", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(5);
    if (o && PyDict_SetItemString(d, (char *)"ROW_DATA", o) != 0)
      {
      Py_DECREF(o);
      }

    }

  return cls;
}

const char **PyvtkQtListView_Doc()
{
  static const char *docstring[] = {
    "vtkQtListView - A VTK view based on a Qt List view.\n\n",
    "Superclass: vtkQtView\n\n",
    "vtkQtListView is a VTK view using an underlying QListView.\n\nThanks:\n\nThanks to Brian Wylie from Sandia National Laboratories for\nimplementing this class\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkQtListView(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkQtListViewNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkQtListView", o) != 0)
    {
    Py_DECREF(o);
    }

}

