// python wrapper for vtkQtTableRepresentation
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkQtTableRepresentation.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkQtTableRepresentation(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkQtTableRepresentation(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkQtTableRepresentationNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkQtTableRepresentationNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkDataRepresentationNew
extern "C" { PyObject *PyVTKClass_vtkDataRepresentationNew(const char *); }
#define DECLARED_PyVTKClass_vtkDataRepresentationNew
#endif

static const char **PyvtkQtTableRepresentation_Doc();


static PyObject *
PyvtkQtTableRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableRepresentation *op = static_cast<vtkQtTableRepresentation *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkQtTableRepresentation::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableRepresentation_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableRepresentation *op = static_cast<vtkQtTableRepresentation *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkQtTableRepresentation::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableRepresentation *op = static_cast<vtkQtTableRepresentation *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkQtTableRepresentation *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkQtTableRepresentation::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkQtTableRepresentation *tempr = vtkQtTableRepresentation::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableRepresentation_SetColorTable(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColorTable");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableRepresentation *op = static_cast<vtkQtTableRepresentation *>(vp);

  vtkLookupTable *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkLookupTable"))
    {
    if (ap.IsBound())
      {
      op->SetColorTable(temp0);
      }
    else
      {
      op->vtkQtTableRepresentation::SetColorTable(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableRepresentation_GetColorTable(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetColorTable");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableRepresentation *op = static_cast<vtkQtTableRepresentation *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkLookupTable *tempr = (ap.IsBound() ?
      op->GetColorTable() :
      op->vtkQtTableRepresentation::GetColorTable());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableRepresentation_SetKeyColumn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetKeyColumn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableRepresentation *op = static_cast<vtkQtTableRepresentation *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetKeyColumn(temp0);
      }
    else
      {
      op->vtkQtTableRepresentation::SetKeyColumn(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableRepresentation_GetKeyColumn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetKeyColumn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableRepresentation *op = static_cast<vtkQtTableRepresentation *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    char *tempr = (ap.IsBound() ?
      op->GetKeyColumn() :
      op->vtkQtTableRepresentation::GetKeyColumn());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableRepresentation_SetFirstDataColumn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFirstDataColumn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableRepresentation *op = static_cast<vtkQtTableRepresentation *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFirstDataColumn(temp0);
      }
    else
      {
      op->vtkQtTableRepresentation::SetFirstDataColumn(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableRepresentation_GetFirstDataColumn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFirstDataColumn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableRepresentation *op = static_cast<vtkQtTableRepresentation *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    char *tempr = (ap.IsBound() ?
      op->GetFirstDataColumn() :
      op->vtkQtTableRepresentation::GetFirstDataColumn());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableRepresentation_SetLastDataColumn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetLastDataColumn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableRepresentation *op = static_cast<vtkQtTableRepresentation *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetLastDataColumn(temp0);
      }
    else
      {
      op->vtkQtTableRepresentation::SetLastDataColumn(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableRepresentation_GetLastDataColumn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetLastDataColumn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableRepresentation *op = static_cast<vtkQtTableRepresentation *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    char *tempr = (ap.IsBound() ?
      op->GetLastDataColumn() :
      op->vtkQtTableRepresentation::GetLastDataColumn());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkQtTableRepresentation_Methods[] = {
  {(char*)"GetClassName", PyvtkQtTableRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkQtTableRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkQtTableRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkQtTableRepresentation\nC++: vtkQtTableRepresentation *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkQtTableRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkQtTableRepresentation\nC++: vtkQtTableRepresentation *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"SetColorTable", PyvtkQtTableRepresentation_SetColorTable, 1,
   (char*)"V.SetColorTable(vtkLookupTable)\nC++: void SetColorTable(vtkLookupTable *t)\n\nSet/get the lookup table that will be used to determine colors\nfor each series.  The table's range should be [0, 1).\n"},
  {(char*)"GetColorTable", PyvtkQtTableRepresentation_GetColorTable, 1,
   (char*)"V.GetColorTable() -> vtkLookupTable\nC++: vtkLookupTable *GetColorTable()\n\nSet/get the lookup table that will be used to determine colors\nfor each series.  The table's range should be [0, 1).\n"},
  {(char*)"SetKeyColumn", PyvtkQtTableRepresentation_SetKeyColumn, 1,
   (char*)"V.SetKeyColumn(string)\nC++: void SetKeyColumn(const char *col)\n\nSet/get the name of the column that contains series names.  This\nmust be called BEFORE the representation is added to a view.\n"},
  {(char*)"GetKeyColumn", PyvtkQtTableRepresentation_GetKeyColumn, 1,
   (char*)"V.GetKeyColumn() -> string\nC++: char *GetKeyColumn()\n\nSet/get the name of the column that contains series names.  This\nmust be called BEFORE the representation is added to a view.\n"},
  {(char*)"SetFirstDataColumn", PyvtkQtTableRepresentation_SetFirstDataColumn, 1,
   (char*)"V.SetFirstDataColumn(string)\nC++: void SetFirstDataColumn(char *)\n\nSet/get the name of the first data column.  This must be called\nBEFORE the representation is added to a view.\n"},
  {(char*)"GetFirstDataColumn", PyvtkQtTableRepresentation_GetFirstDataColumn, 1,
   (char*)"V.GetFirstDataColumn() -> string\nC++: char *GetFirstDataColumn()\n\nSet/get the name of the first data column.  This must be called\nBEFORE the representation is added to a view.\n"},
  {(char*)"SetLastDataColumn", PyvtkQtTableRepresentation_SetLastDataColumn, 1,
   (char*)"V.SetLastDataColumn(string)\nC++: void SetLastDataColumn(char *)\n\nSet/get the name of the last data column.  This must be called\nBEFORE the representation is added to a view.\n"},
  {(char*)"GetLastDataColumn", PyvtkQtTableRepresentation_GetLastDataColumn, 1,
   (char*)"V.GetLastDataColumn() -> string\nC++: char *GetLastDataColumn()\n\nSet/get the name of the last data column.  This must be called\nBEFORE the representation is added to a view.\n"},
  {NULL, NULL, 0, NULL}
};

PyObject *PyVTKClass_vtkQtTableRepresentationNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(NULL,
    PyvtkQtTableRepresentation_Methods,
    "vtkQtTableRepresentation", modulename,
    NULL, NULL,
    PyvtkQtTableRepresentation_Doc(),
    PyVTKClass_vtkDataRepresentationNew(modulename));
  return cls;
}

const char **PyvtkQtTableRepresentation_Doc()
{
  static const char *docstring[] = {
    "vtkQtTableRepresentation - set up a vtkTable in a Qt model\n\n",
    "Superclass: vtkDataRepresentation\n\n",
    "This class is a wrapper around vtkQtTableModelAdapter.  It performs\nthe following functions:\n\nKeep track of the key column, first data column, and last data\ncolumn.\n    Populate the appropriate ivars on the Qt adapter. Assign colors\nto each of the data series using a vtkLookupTable.\n    A default lookup table is provided or the user can supply one\n    using SetColorTable(). \n\nThe user must supply ",
    "the following items:  the name of the column\nthat contains the series names, the names of the first and last data\ncolumns\n    (this range should not contain the key column), and (optionally)\na vtkLookupTable to use when assigning colors. \n\nCaveats:\n\nCall SetInputConnection with a table connection BEFORE the\nrepresentation is added to a view or strange things may happen,\nincluding segfaults.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkQtTableRepresentation(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkQtTableRepresentationNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkQtTableRepresentation", o) != 0)
    {
    Py_DECREF(o);
    }

}

