// python wrapper for vtkQtTableView
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkQtTableView.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkQtTableView(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkQtTableView(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkQtTableViewNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkQtTableViewNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkQtViewNew
extern "C" { PyObject *PyVTKClass_vtkQtViewNew(const char *); }
#define DECLARED_PyVTKClass_vtkQtViewNew
#endif

static const char **PyvtkQtTableView_Doc();


static PyObject *
PyvtkQtTableView_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableView *op = static_cast<vtkQtTableView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkQtTableView::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableView_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableView *op = static_cast<vtkQtTableView *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkQtTableView::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableView_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableView *op = static_cast<vtkQtTableView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkQtTableView *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkQtTableView::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableView_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkQtTableView *tempr = vtkQtTableView::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableView_GetWidget(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetWidget");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableView *op = static_cast<vtkQtTableView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    QWidget *tempr = (ap.IsBound() ?
      op->GetWidget() :
      op->vtkQtTableView::GetWidget());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildSIPObject(tempr, "QWidget", false);
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableView_SetShowVerticalHeaders(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetShowVerticalHeaders");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableView *op = static_cast<vtkQtTableView *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetShowVerticalHeaders(temp0);
      }
    else
      {
      op->vtkQtTableView::SetShowVerticalHeaders(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableView_SetShowHorizontalHeaders(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetShowHorizontalHeaders");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableView *op = static_cast<vtkQtTableView *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetShowHorizontalHeaders(temp0);
      }
    else
      {
      op->vtkQtTableView::SetShowHorizontalHeaders(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableView_GetFieldType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetFieldType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableView *op = static_cast<vtkQtTableView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetFieldType() :
      op->vtkQtTableView::GetFieldType());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableView_SetFieldType(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetFieldType");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableView *op = static_cast<vtkQtTableView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetFieldType(temp0);
      }
    else
      {
      op->vtkQtTableView::SetFieldType(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableView_SetEnableDragDrop(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetEnableDragDrop");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableView *op = static_cast<vtkQtTableView *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetEnableDragDrop(temp0);
      }
    else
      {
      op->vtkQtTableView::SetEnableDragDrop(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableView_SetSortingEnabled(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSortingEnabled");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableView *op = static_cast<vtkQtTableView *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetSortingEnabled(temp0);
      }
    else
      {
      op->vtkQtTableView::SetSortingEnabled(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableView_SetShowAll(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetShowAll");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableView *op = static_cast<vtkQtTableView *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetShowAll(temp0);
      }
    else
      {
      op->vtkQtTableView::SetShowAll(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableView_GetShowAll(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetShowAll");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableView *op = static_cast<vtkQtTableView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->GetShowAll() :
      op->vtkQtTableView::GetShowAll());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableView_SetColumnName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColumnName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableView *op = static_cast<vtkQtTableView *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetColumnName(temp0);
      }
    else
      {
      op->vtkQtTableView::SetColumnName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableView_GetColumnName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetColumnName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableView *op = static_cast<vtkQtTableView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    char *tempr = (ap.IsBound() ?
      op->GetColumnName() :
      op->vtkQtTableView::GetColumnName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableView_SetColumnVisibility(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColumnVisibility");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableView *op = static_cast<vtkQtTableView *>(vp);

  QString *temp0 = NULL;
  bool temp1 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(2) &&
      ap.GetSIPObject(temp0, "QString") &&
      ap.GetValue(temp1))
    {
    if (ap.IsBound())
      {
      op->SetColumnVisibility(*temp0, temp1);
      }
    else
      {
      op->vtkQtTableView::SetColumnVisibility(*temp0, temp1);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableView_SetSplitMultiComponentColumns(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSplitMultiComponentColumns");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableView *op = static_cast<vtkQtTableView *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetSplitMultiComponentColumns(temp0);
      }
    else
      {
      op->vtkQtTableView::SetSplitMultiComponentColumns(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableView_GetSplitMultiComponentColumns(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSplitMultiComponentColumns");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableView *op = static_cast<vtkQtTableView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->GetSplitMultiComponentColumns() :
      op->vtkQtTableView::GetSplitMultiComponentColumns());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableView_SetSortSelectionToTop(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSortSelectionToTop");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableView *op = static_cast<vtkQtTableView *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetSortSelectionToTop(temp0);
      }
    else
      {
      op->vtkQtTableView::SetSortSelectionToTop(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableView_GetSortSelectionToTop(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSortSelectionToTop");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableView *op = static_cast<vtkQtTableView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->GetSortSelectionToTop() :
      op->vtkQtTableView::GetSortSelectionToTop());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableView_SetApplyRowColors(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetApplyRowColors");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableView *op = static_cast<vtkQtTableView *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetApplyRowColors(temp0);
      }
    else
      {
      op->vtkQtTableView::SetApplyRowColors(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableView_GetApplyRowColors(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetApplyRowColors");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableView *op = static_cast<vtkQtTableView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->GetApplyRowColors() :
      op->vtkQtTableView::GetApplyRowColors());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableView_Update(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "Update");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableView *op = static_cast<vtkQtTableView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->Update();
      }
    else
      {
      op->vtkQtTableView::Update();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableView_SetColorArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColorArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableView *op = static_cast<vtkQtTableView *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetColorArrayName(temp0);
      }
    else
      {
      op->vtkQtTableView::SetColorArrayName(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableView_GetColorArrayName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetColorArrayName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableView *op = static_cast<vtkQtTableView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetColorArrayName() :
      op->vtkQtTableView::GetColorArrayName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableView_SetColorByArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetColorByArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableView *op = static_cast<vtkQtTableView *>(vp);

  bool temp0 = false;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetColorByArray(temp0);
      }
    else
      {
      op->vtkQtTableView::SetColorByArray(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableView_GetColorByArray(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetColorByArray");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableView *op = static_cast<vtkQtTableView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    bool tempr = (ap.IsBound() ?
      op->GetColorByArray() :
      op->vtkQtTableView::GetColorByArray());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableView_ColorByArrayOn(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ColorByArrayOn");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableView *op = static_cast<vtkQtTableView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ColorByArrayOn();
      }
    else
      {
      op->vtkQtTableView::ColorByArrayOn();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableView_ColorByArrayOff(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ColorByArrayOff");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableView *op = static_cast<vtkQtTableView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    if (ap.IsBound())
      {
      op->ColorByArrayOff();
      }
    else
      {
      op->vtkQtTableView::ColorByArrayOff();
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableView_ApplyViewTheme(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "ApplyViewTheme");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableView *op = static_cast<vtkQtTableView *>(vp);

  vtkViewTheme *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkViewTheme"))
    {
    if (ap.IsBound())
      {
      op->ApplyViewTheme(temp0);
      }
    else
      {
      op->vtkQtTableView::ApplyViewTheme(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableView_SetSelectionBehavior(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "SetSelectionBehavior");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableView *op = static_cast<vtkQtTableView *>(vp);

  int temp0;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    if (ap.IsBound())
      {
      op->SetSelectionBehavior(temp0);
      }
    else
      {
      op->vtkQtTableView::SetSelectionBehavior(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableView_GetSelectionBehavior(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSelectionBehavior");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableView *op = static_cast<vtkQtTableView *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    int tempr = (ap.IsBound() ?
      op->GetSelectionBehavior() :
      op->vtkQtTableView::GetSelectionBehavior());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtTableView_GetSelectedItems(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetSelectedItems");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTableView *op = static_cast<vtkQtTableView *>(vp);

  vtkIdTypeArray *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkIdTypeArray"))
    {
    if (ap.IsBound())
      {
      op->GetSelectedItems(temp0);
      }
    else
      {
      op->vtkQtTableView::GetSelectedItems(temp0);
      }

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildNone();
      }
    }

  return result;
}

static PyMethodDef PyvtkQtTableView_Methods[] = {
  {(char*)"GetClassName", PyvtkQtTableView_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkQtTableView_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkQtTableView_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkQtTableView\nC++: vtkQtTableView *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkQtTableView_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkQtTableView\nC++: vtkQtTableView *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"GetWidget", PyvtkQtTableView_GetWidget, 1,
   (char*)"V.GetWidget() -> QWidget\nC++: virtual QWidget *GetWidget()\n\nGet the main container of this view (a  QWidget). The application\ntypically places the view with a call to GetWidget(): something\nlike this\nthis->ui->box->layout()->addWidget(this->View->GetWidget());\n"},
  {(char*)"SetShowVerticalHeaders", PyvtkQtTableView_SetShowVerticalHeaders, 1,
   (char*)"V.SetShowVerticalHeaders(bool)\nC++: void SetShowVerticalHeaders(bool)\n\nHave the view show/hide its column headers\n"},
  {(char*)"SetShowHorizontalHeaders", PyvtkQtTableView_SetShowHorizontalHeaders, 1,
   (char*)"V.SetShowHorizontalHeaders(bool)\nC++: void SetShowHorizontalHeaders(bool)\n\nHave the view show/hide its row headers\n"},
  {(char*)"GetFieldType", PyvtkQtTableView_GetFieldType, 1,
   (char*)"V.GetFieldType() -> int\nC++: int GetFieldType()\n\nThe field type to copy into the output table. Should be one of\nFIELD_DATA, POINT_DATA, CELL_DATA, VERTEX_DATA, EDGE_DATA.\n"},
  {(char*)"SetFieldType", PyvtkQtTableView_SetFieldType, 1,
   (char*)"V.SetFieldType(int)\nC++: void SetFieldType(int)\n\nThe field type to copy into the output table. Should be one of\nFIELD_DATA, POINT_DATA, CELL_DATA, VERTEX_DATA, EDGE_DATA.\n"},
  {(char*)"SetEnableDragDrop", PyvtkQtTableView_SetEnableDragDrop, 1,
   (char*)"V.SetEnableDragDrop(bool)\nC++: void SetEnableDragDrop(bool)\n\nEnable drag and drop on this widget\n"},
  {(char*)"SetSortingEnabled", PyvtkQtTableView_SetSortingEnabled, 1,
   (char*)"V.SetSortingEnabled(bool)\nC++: void SetSortingEnabled(bool)\n\nWhether the table allows individual columns to be sorted upon\nSorting is enabled by default (turn off for large tables);\n"},
  {(char*)"SetShowAll", PyvtkQtTableView_SetShowAll, 1,
   (char*)"V.SetShowAll(bool)\nC++: void SetShowAll(bool)\n\nWhether or not to display all columns from the input table or to\nuse the ColumnName provided. FIXME: This should be replaced with\nan Add/Remove column API.\n"},
  {(char*)"GetShowAll", PyvtkQtTableView_GetShowAll, 1,
   (char*)"V.GetShowAll() -> bool\nC++: bool GetShowAll()\n\nWhether or not to display all columns from the input table or to\nuse the ColumnName provided. FIXME: This should be replaced with\nan Add/Remove column API.\n"},
  {(char*)"SetColumnName", PyvtkQtTableView_SetColumnName, 1,
   (char*)"V.SetColumnName(string)\nC++: void SetColumnName(char *)\n\nThe name of a single column to display. FIXME: This should be\nreplaced with an Add/Remove column API.\n"},
  {(char*)"GetColumnName", PyvtkQtTableView_GetColumnName, 1,
   (char*)"V.GetColumnName() -> string\nC++: char *GetColumnName()\n\nThe name of a single column to display. FIXME: This should be\nreplaced with an Add/Remove column API.\n"},
  {(char*)"SetColumnVisibility", PyvtkQtTableView_SetColumnVisibility, 1,
   (char*)"V.SetColumnVisibility(QString, bool)\nC++: void SetColumnVisibility(const QString &name, bool status)\n\n"},
  {(char*)"SetSplitMultiComponentColumns", PyvtkQtTableView_SetSplitMultiComponentColumns, 1,
   (char*)"V.SetSplitMultiComponentColumns(bool)\nC++: void SetSplitMultiComponentColumns(bool value)\n\nSet whether or not the table view should split multi-component\ncolumns into multiple single-component columns\n"},
  {(char*)"GetSplitMultiComponentColumns", PyvtkQtTableView_GetSplitMultiComponentColumns, 1,
   (char*)"V.GetSplitMultiComponentColumns() -> bool\nC++: bool GetSplitMultiComponentColumns()\n\nGet whether or not the table view splits multi-component columns\ninto multiple single-component columns\n"},
  {(char*)"SetSortSelectionToTop", PyvtkQtTableView_SetSortSelectionToTop, 1,
   (char*)"V.SetSortSelectionToTop(bool)\nC++: void SetSortSelectionToTop(bool value)\n\nWhether or not to sort selections that the view receives to the\ntop\n"},
  {(char*)"GetSortSelectionToTop", PyvtkQtTableView_GetSortSelectionToTop, 1,
   (char*)"V.GetSortSelectionToTop() -> bool\nC++: bool GetSortSelectionToTop()\n\nWhether or not to sort selections that the view receives to the\ntop\n"},
  {(char*)"SetApplyRowColors", PyvtkQtTableView_SetApplyRowColors, 1,
   (char*)"V.SetApplyRowColors(bool)\nC++: void SetApplyRowColors(bool value)\n\nWhether or not to add an icon to the row header denoting the\ncolor of an annotated row.\n"},
  {(char*)"GetApplyRowColors", PyvtkQtTableView_GetApplyRowColors, 1,
   (char*)"V.GetApplyRowColors() -> bool\nC++: bool GetApplyRowColors()\n\nWhether or not to add an icon to the row header denoting the\ncolor of an annotated row.\n"},
  {(char*)"Update", PyvtkQtTableView_Update, 1,
   (char*)"V.Update()\nC++: virtual void Update()\n\nUpdates the view.\n"},
  {(char*)"SetColorArrayName", PyvtkQtTableView_SetColorArrayName, 1,
   (char*)"V.SetColorArrayName(string)\nC++: void SetColorArrayName(const char *name)\n\nThe array to use for coloring items in view.  Default is \"color\".\n"},
  {(char*)"GetColorArrayName", PyvtkQtTableView_GetColorArrayName, 1,
   (char*)"V.GetColorArrayName() -> string\nC++: const char *GetColorArrayName()\n\nThe array to use for coloring items in view.  Default is \"color\".\n"},
  {(char*)"SetColorByArray", PyvtkQtTableView_SetColorByArray, 1,
   (char*)"V.SetColorByArray(bool)\nC++: void SetColorByArray(bool vis)\n\nWhether to color vertices.  Default is off.\n"},
  {(char*)"GetColorByArray", PyvtkQtTableView_GetColorByArray, 1,
   (char*)"V.GetColorByArray() -> bool\nC++: bool GetColorByArray()\n\nWhether to color vertices.  Default is off.\n"},
  {(char*)"ColorByArrayOn", PyvtkQtTableView_ColorByArrayOn, 1,
   (char*)"V.ColorByArrayOn()\nC++: void ColorByArrayOn()\n\nWhether to color vertices.  Default is off.\n"},
  {(char*)"ColorByArrayOff", PyvtkQtTableView_ColorByArrayOff, 1,
   (char*)"V.ColorByArrayOff()\nC++: void ColorByArrayOff()\n\nWhether to color vertices.  Default is off.\n"},
  {(char*)"ApplyViewTheme", PyvtkQtTableView_ApplyViewTheme, 1,
   (char*)"V.ApplyViewTheme(vtkViewTheme)\nC++: virtual void ApplyViewTheme(vtkViewTheme *theme)\n\nApply a view theme to this view.\n"},
  {(char*)"SetSelectionBehavior", PyvtkQtTableView_SetSelectionBehavior, 1,
   (char*)"V.SetSelectionBehavior(int)\nC++: virtual void SetSelectionBehavior(int type)\n\nThe selection mode for this view. SELECT_ITEMS (0) selects single\nitems. SELECT_ROWS (1) selects rows. SELECT_COLUMNS (2) selects\ncolumns. Linked selection only works when in the default mode\nSELECT_ROWS. Selections from other modes may be retrieved using\nGetSelectedItems().\n"},
  {(char*)"GetSelectionBehavior", PyvtkQtTableView_GetSelectionBehavior, 1,
   (char*)"V.GetSelectionBehavior() -> int\nC++: virtual int GetSelectionBehavior()\n\nThe selection mode for this view. SELECT_ITEMS (0) selects single\nitems. SELECT_ROWS (1) selects rows. SELECT_COLUMNS (2) selects\ncolumns. Linked selection only works when in the default mode\nSELECT_ROWS. Selections from other modes may be retrieved using\nGetSelectedItems().\n"},
  {(char*)"GetSelectedItems", PyvtkQtTableView_GetSelectedItems, 1,
   (char*)"V.GetSelectedItems(vtkIdTypeArray)\nC++: virtual void GetSelectedItems(vtkIdTypeArray *arr)\n\nFills the array with the selected items of the view. If the\nselection behavior is SELECT_ITEMS, arr will be a 2-component\narray containing (row,column) for each selected item. If the\nselection behavior is SELECT_ROWS or SELECT_COLUMNS, arr will\ncontain a list of row or column indices.\n"},
  {NULL, NULL, 0, NULL}
};

static vtkObjectBase *PyvtkQtTableView_StaticNew()
{
  return vtkQtTableView::New();
}

PyObject *PyVTKClass_vtkQtTableViewNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(&PyvtkQtTableView_StaticNew,
    PyvtkQtTableView_Methods,
    "vtkQtTableView", modulename,
    NULL, NULL,
    PyvtkQtTableView_Doc(),
    PyVTKClass_vtkQtViewNew(modulename));

  if (cls)
    {
    PyObject *d = PyVTKClass_GetDict(cls);
    PyObject *o;

    o = PyInt_FromLong(0);
    if (o && PyDict_SetItemString(d, (char *)"FIELD_DATA", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(1);
    if (o && PyDict_SetItemString(d, (char *)"POINT_DATA", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(2);
    if (o && PyDict_SetItemString(d, (char *)"CELL_DATA", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(3);
    if (o && PyDict_SetItemString(d, (char *)"VERTEX_DATA", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(4);
    if (o && PyDict_SetItemString(d, (char *)"EDGE_DATA", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(5);
    if (o && PyDict_SetItemString(d, (char *)"ROW_DATA", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(0);
    if (o && PyDict_SetItemString(d, (char *)"SELECT_ITEMS", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(1);
    if (o && PyDict_SetItemString(d, (char *)"SELECT_ROWS", o) != 0)
      {
      Py_DECREF(o);
      }

    o = PyInt_FromLong(2);
    if (o && PyDict_SetItemString(d, (char *)"SELECT_COLUMNS", o) != 0)
      {
      Py_DECREF(o);
      }

    }

  return cls;
}

const char **PyvtkQtTableView_Doc()
{
  static const char *docstring[] = {
    "vtkQtTableView - A VTK view based on a Qt Table view.\n\n",
    "Superclass: vtkQtView\n\n",
    "vtkQtTableView is a VTK view using an underlying QTableView.\n\nThanks:\n\nThanks to Brian Wylie from Sandia National Laboratories for\nimplementing this class\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkQtTableView(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkQtTableViewNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkQtTableView", o) != 0)
    {
    Py_DECREF(o);
    }

}

