// python wrapper for vtkQtTimePointUtility
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#if !defined(__APPLE__)
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#endif
#include "vtkPythonArgs.h"
#include "vtkPythonOverload.h"
#include <vtksys/ios/sstream>
#include "vtkQtTimePointUtility.h"

#if defined(WIN32)
extern "C" { __declspec( dllexport ) void PyVTKAddFile_vtkQtTimePointUtility(PyObject *, const char *); }
#else
extern "C" { void PyVTKAddFile_vtkQtTimePointUtility(PyObject *, const char *); }
#endif
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkQtTimePointUtilityNew(const char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkQtTimePointUtilityNew(const char *); }
#endif

#ifndef DECLARED_PyVTKClass_vtkObjectNew
extern "C" { PyObject *PyVTKClass_vtkObjectNew(const char *); }
#define DECLARED_PyVTKClass_vtkObjectNew
#endif

static const char **PyvtkQtTimePointUtility_Doc();


static PyObject *
PyvtkQtTimePointUtility_GetClassName(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "GetClassName");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTimePointUtility *op = static_cast<vtkQtTimePointUtility *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    const char *tempr = (ap.IsBound() ?
      op->GetClassName() :
      op->vtkQtTimePointUtility::GetClassName());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtTimePointUtility_IsA(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "IsA");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTimePointUtility *op = static_cast<vtkQtTimePointUtility *>(vp);

  char *temp0 = NULL;
  PyObject *result = NULL;

  if (op && ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    int tempr = (ap.IsBound() ?
      op->IsA(temp0) :
      op->vtkQtTimePointUtility::IsA(temp0));

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtTimePointUtility_NewInstance(PyObject *self, PyObject *args)
{
  vtkPythonArgs ap(self, args, "NewInstance");
  vtkObjectBase *vp = ap.GetSelfPointer(self, args);
  vtkQtTimePointUtility *op = static_cast<vtkQtTimePointUtility *>(vp);

  PyObject *result = NULL;

  if (op && ap.CheckArgCount(0))
    {
    vtkQtTimePointUtility *tempr = (ap.IsBound() ?
      op->NewInstance() :
      op->vtkQtTimePointUtility::NewInstance());

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      if (result && PyVTKObject_Check(result))
        {
        PyVTKObject_GetObject(result)->UnRegister(0);
        PyVTKObject_SetFlag(result, VTK_PYTHON_IGNORE_UNREGISTER, 1);
        }
      }
    }

  return result;
}


static PyObject *
PyvtkQtTimePointUtility_SafeDownCast(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "SafeDownCast");

  vtkObject *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetVTKObject(temp0, "vtkObject"))
    {
    vtkQtTimePointUtility *tempr = vtkQtTimePointUtility::SafeDownCast(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildVTKObject(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtTimePointUtility_TimePointToQDateTime(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "TimePointToQDateTime");

  unsigned long long temp0;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetValue(temp0))
    {
    QDateTime tempr = vtkQtTimePointUtility::TimePointToQDateTime(temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildSIPObject(new QDateTime(tempr), "QDateTime", false);
      }
    }

  return result;
}


static PyObject *
PyvtkQtTimePointUtility_QDateTimeToTimePoint(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "QDateTimeToTimePoint");

  QDateTime *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetSIPObject(temp0, "QDateTime"))
    {
    unsigned long long tempr = vtkQtTimePointUtility::QDateTimeToTimePoint(*temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtTimePointUtility_QDateToTimePoint(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "QDateToTimePoint");

  QDate *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetSIPObject(temp0, "QDate"))
    {
    unsigned long long tempr = vtkQtTimePointUtility::QDateToTimePoint(*temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}


static PyObject *
PyvtkQtTimePointUtility_QTimeToTimePoint(PyObject *, PyObject *args)
{
  vtkPythonArgs ap(args, "QTimeToTimePoint");

  QTime *temp0 = NULL;
  PyObject *result = NULL;

  if (ap.CheckArgCount(1) &&
      ap.GetSIPObject(temp0, "QTime"))
    {
    unsigned long long tempr = vtkQtTimePointUtility::QTimeToTimePoint(*temp0);

    if (!ap.ErrorOccurred())
      {
      result = ap.BuildValue(tempr);
      }
    }

  return result;
}

static PyMethodDef PyvtkQtTimePointUtility_Methods[] = {
  {(char*)"GetClassName", PyvtkQtTimePointUtility_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName()\n\n"},
  {(char*)"IsA", PyvtkQtTimePointUtility_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA(const char *name)\n\n"},
  {(char*)"NewInstance", PyvtkQtTimePointUtility_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkQtTimePointUtility\nC++: vtkQtTimePointUtility *NewInstance()\n\n"},
  {(char*)"SafeDownCast", PyvtkQtTimePointUtility_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkQtTimePointUtility\nC++: vtkQtTimePointUtility *SafeDownCast(vtkObject* o)\n\n"},
  {(char*)"TimePointToQDateTime", PyvtkQtTimePointUtility_TimePointToQDateTime, 1,
   (char*)"V.TimePointToQDateTime(int) -> QDateTime\nC++: static QDateTime TimePointToQDateTime(vtkTypeUInt64 time)\n\n"},
  {(char*)"QDateTimeToTimePoint", PyvtkQtTimePointUtility_QDateTimeToTimePoint, 1,
   (char*)"V.QDateTimeToTimePoint(QDateTime) -> int\nC++: static vtkTypeUInt64 QDateTimeToTimePoint(QDateTime time)\n\n"},
  {(char*)"QDateToTimePoint", PyvtkQtTimePointUtility_QDateToTimePoint, 1,
   (char*)"V.QDateToTimePoint(QDate) -> int\nC++: static vtkTypeUInt64 QDateToTimePoint(QDate date)\n\n"},
  {(char*)"QTimeToTimePoint", PyvtkQtTimePointUtility_QTimeToTimePoint, 1,
   (char*)"V.QTimeToTimePoint(QTime) -> int\nC++: static vtkTypeUInt64 QTimeToTimePoint(QTime time)\n\n"},
  {NULL, NULL, 0, NULL}
};

PyObject *PyVTKClass_vtkQtTimePointUtilityNew(const char *modulename)
{
  PyObject *cls = PyVTKClass_New(NULL,
    PyvtkQtTimePointUtility_Methods,
    "vtkQtTimePointUtility", modulename,
    NULL, NULL,
    PyvtkQtTimePointUtility_Doc(),
    PyVTKClass_vtkObjectNew(modulename));
  return cls;
}

const char **PyvtkQtTimePointUtility_Doc()
{
  static const char *docstring[] = {
    "vtkQtTimePointUtility - performs common time operations\n\n",
    "Superclass: vtkObject\n\n",
    "vtkQtTimePointUtility is provides methods to perform common time\noperations.\n\n",
    NULL
  };

  return docstring;
}

void PyVTKAddFile_vtkQtTimePointUtility(
  PyObject *dict, const char *modulename)
{
  PyObject *o;
  o = PyVTKClass_vtkQtTimePointUtilityNew(modulename);

  if (o && PyDict_SetItemString(dict, (char *)"vtkQtTimePointUtility", o) != 0)
    {
    Py_DECREF(o);
    }

}

